## libcerf 1.3

=== debian/changelog ===
libcerf (1.3-2build1) eoan; urgency=medium

  * No-change rebuild to drop multiarch-support dependency.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Sep 2019 03:40:26 +0000

libcerf (1.3-2) unstable; urgency=medium

  * debian/control
    - Add Breaks and Replaces manpages-dev (Closes: #768209, #764310)

 -- Eugen Wintersberger <eugen.wintersberger@gmail.com>  Sat, 15 Nov 2014 12:16:10 +0100

libcerf (1.3-1) unstable; urgency=low

  * Initial release (Closes: #714800)  

 -- Eugen Wintersberger <eugen.wintersberger@gmail.com>  Mon, 02 Jun 2014 20:59:02 +0200
