=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with autoreconf --dbg-package=libcerf1-dbg

override_dh_auto_configure:
	dh_auto_configure -- --docdir=/usr/share/doc/libcerf-doc 

override_dh_clean:
	#this directory is not used for the build and thus not mentioned
	#in the copyright file
	rm -rf fortran
	dh_clean
