## libcerf 2.3

=== debian/changelog ===
libcerf (2.3-2) unstable; urgency=medium

  * Bug fix: "base line violatin: builds with -march=native", thanks to
    Sebastian Ramacher (Closes: #1042434).
  * Bug fix: "package short description mentions &quot;development
    files&quot; instead of documentation", thanks to Beatrice Torracca
    (Closes: #867708).
  * Bug fix: "DebSci Additional info upstream homepage (also deprecated
    Debian CVS note)", thanks to Ben Tris (Closes: #958285). 

 -- Roland Mas <lolando@debian.org>  Fri, 28 Jul 2023 15:10:23 +0200

libcerf (2.3-1) unstable; urgency=medium

  * New upstream release.
  * Adding myself to uploaders. Thanks, Eugen!
  * Drop unneeded patch.
  * Patch a few installation paths.
  * Override Lintian false positive.

 -- Roland Mas <lolando@debian.org>  Wed, 26 Jul 2023 15:36:53 +0200

libcerf (1.13-1) UNRELEASED; urgency=medium

  * Fixed patchs for upstream version 1.5
  * Fixed standard in debian/control
  * New upstream version 1.13

 -- Eugen Wintersberger <eugen.wintersberger@gmail.com>  Wed, 13 Mar 2019 21:40:59 +0100

libcerf (1.5-1) unstable; urgency=medium

  * Imported Upstream version 1.5

 -- Eugen Wintersberger <eugen.wintersberger@gmail.com>  Mon, 17 Oct 2016 13:37:46 +0200
