=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.]*@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://jugit.fz-juelich.de/mlz/libcerf/-/tags .*/v?@ANY_VERSION@/.*@ANY_VERSION@@ARCHIVE_EXT@
