## libcerf 2.4

=== debian/changelog ===
libcerf (2.4-2build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:43:56 +0200

libcerf (2.4-2) unstable; urgency=medium

  * Bug fix: "please make the build reproducible", thanks to Chris Lamb
    (Closes: #1042954).
  * Update Lintian override following new upstream release.

 -- Roland Mas <lolando@debian.org>  Sat, 05 Aug 2023 21:04:52 +0200

libcerf (2.4-1) unstable; urgency=medium

  [ Roland Mas ]
  * Update debian/watch.

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 2.4
  * d/p/002-Fix-arch-native-compilation.patch: Useless
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 03 Aug 2023 11:01:03 +0200
