=== debian/control ===
Source: libcerf
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Eugen Wintersberger <eugen.wintersberger@gmail.com>,
 Roland Mas <lolando@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/science-team/libcerf
Vcs-Git: https://salsa.debian.org/science-team/libcerf.git
Homepage: https://jugit.fz-juelich.de/mlz/libcerf

Package: libcerf2
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Complex error function library - binary files
 libcerf is a self-contained numeric library that provides an efficient and
 accurate implementation of the complex error functions, along with Dawson,
 Faddeeva, and Voigt functions.
 .
 This package contains the runtime binary of the library.

Package: libcerf-dev
Architecture: any
Section: libdevel
Depends: libcerf2 (= ${binary:Version}),
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Complex error function library - development files
 libcerf is a self-contained numeric library that provides an efficient and
 accurate implementation of the complex error functions, along with Dawson,
 Faddeeva, and Voigt functions.
 .
 This package contains the development files for libcerf.

Package: libcerf-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Breaks: manpages-dev (<< 3.74)
Replaces: manpages-dev (<< 3.74)
Description: Complex error function library - documentation
 libcerf is a self-contained numeric library that provides an efficient and
 accurate implementation of the complex error functions, along with Dawson,
 Faddeeva, and Voigt functions.
 .
 This package contains the man pages and html documentation for libcerf.
