=== libc/CMakeLists.txt ===
set(lib cerf)
set(CERF_TARGET_CPP OFF)
set(cerf_LIBRARY ${lib} PARENT_SCOPE)

include("../cmake/buildLib.cmake")
