=== debian/changelog ===
libcerf (3.1-3) unstable; urgency=medium

  * Backport more proper fix to s390x segfault.

 -- Roland Mas <lolando@debian.org>  Mon, 18 Aug 2025 18:12:37 +0200

libcerf (3.1-2) unstable; urgency=medium

  * Build with -DCERF_IEEE754=OFF to fix segfault on s390x.

 -- Roland Mas <lolando@debian.org>  Sat, 16 Aug 2025 21:38:09 +0200

libcerf (3.1-1) unstable; urgency=medium

  * New upstream release.
  * Rename libcerf2 to libcerf3.

 -- Roland Mas <lolando@debian.org>  Wed, 13 Aug 2025 01:55:08 +0200
