=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libcerf
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Eugen Wintersberger <eugen.wintersberger@gmail.com>,
  Roland Mas <lolando@debian.org>
@@ -13,7 +12,7 @@
 Vcs-Git: https://salsa.debian.org/science-team/libcerf.git
 Homepage: https://jugit.fz-juelich.de/mlz/libcerf
 
-Package: libcerf2
+Package: libcerf3
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -29,7 +28,7 @@
 Package: libcerf-dev
 Architecture: any
 Section: libdevel
-Depends: libcerf2 (= ${binary:Version}),
+Depends: libcerf3 (= ${binary:Version}),
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Complex error function library - development files
