=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?v(\d[\d\.]*@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://jugit.fz-juelich.de/mlz/libcerf/-/tags .*/v?@ANY_VERSION@/.*@ARCHIVE_EXT@
